> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets details for activities



## OpenAPI

````yaml /openapi/beta-20260203.json get /activity-log/details
openapi: 3.1.0
info:
  title: BETA
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Activity Log
paths:
  /activity-log/details:
    get:
      tags:
        - Activity Log
      summary: Gets details for activities
      operationId: activity-log-details-get
      parameters:
        - name: keys
          in: query
          description: Comma separated list of activity keys
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Activity details are returned
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DetailsResponse'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DetailsResponse:
      type: object
      properties:
        details:
          description: Details about the activity with this key
        key:
          type: string
          description: Key of an activity from a search response
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````